QwtCPointerData< T >(3)

NAME
QwtCPointerData< T > - Data class containing two pointers to memory blocks of T.

SYNOPSIS

#include <qwt_point_data.h>

Inherits QwtPointSeriesData.

  Public Member Functions
QwtCPointerData (const T *x, const T *y, size_t size)
virtual size_t size () const override
virtual QPointF sample (size_t index) const override
const T * xData () const
const T * yData () const

  Additional Inherited Members

Detailed Description

  template<typename T>
class QwtCPointerData< T >" Data class containing two pointers to memory blocks of T.

Definition at line 43 of file qwt_point_data.h.

Constructor & Destructor Documentation

  template<typename T > QwtCPointerData< T >::QwtCPointerData (const T * x, const T * y, size_t size)
Constructor

Parameters
    x Array of x values
    y Array of y values
    size Size of the x and y arrays

Warning
    The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object.

See also
    QwtPlotCurve::setData(), QwtPlotCurve::setRawSamples()

Definition at line 326 of file qwt_point_data.h.

Member Function Documentation

  template<typename T > QPointF QwtCPointerData< T >::sample (size_t index) const [override], [virtual]
Return the sample at position i

Parameters
    index Index

Returns
    Sample at position i

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 347 of file qwt_point_data.h.

  template<typename T > size_t QwtCPointerData< T >::size [override], [virtual]

Returns
    Size of the data set

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 335 of file qwt_point_data.h.

  template<typename T > const T * QwtCPointerData< T >::xData

Returns
    Array of the x-values

Definition at line 354 of file qwt_point_data.h.

  template<typename T > const T * QwtCPointerData< T >::yData

Returns
    Array of the y-values

Definition at line 361 of file qwt_point_data.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.